<div class="add-category-card">
  <form
    class="form"
    (ngSubmit)="saveCategory()"
    [formGroup]="form">

    <div class="form__left-side">
      <h2>{{'addCategory' | translate}}:</h2>
      <input
        [placeholder]="'namePlaceholder' | translate"
        formControlName="name"
        class="input"
        type="text">
    </div>
    <app-button
      [disabled]="form.invalid"
      [type]="'submit'"
      [name]="'save' | translate">
    </app-button>

  </form>

  <div
    *ngIf="form.get('name')?.invalid"
    class="name-error"
  >
    <p *ngIf="getNameFormErrors()?.required && form.get('name')?.touched">
      {{'categoryNameIsEmpty' | translate}}
    </p>
    <p *ngIf="getNameFormMaxLengthError()">
      {{'categoryNameIsToMuchBig' | translate}}
      {{getNameFormMaxLengthError()?.requiredLength}}
      {{'categoryNameIsToMuchBigSecondPart' | translate}}
      {{getNameFormMaxLengthError()?.actualLength}}
    </p>
  </div>
</div>

<div
    class="categories__container"
    *ngFor="let category of categories | async; trackBy:identify">
  <app-categories-item
                       (onDeleteCategory)="deleteCategory($event)"
                       [category]="category">
  </app-categories-item>
</div>
